package model

type PoolCategory string
type PoolOrder string

const (
	Series     PoolCategory = "series"
	Collection PoolCategory = "collection"
)

const (
	PoolName  PoolOrder = "name"
	CreatedAt PoolOrder = "created_at"
	UpdatedAt PoolOrder = "updated_at"
	PostCount PoolOrder = "post_count"
)

type Pool struct {
	ID          int64        `json:"id"`
	Name        string       `json:"name"`
	CreatedAt   string       `json:"created_at"`
	UpdatedAt   string       `json:"updated_at"`
	CreatorID   int64        `json:"creator_id"`
	Description string       `json:"description"`
	IsActive    bool         `json:"is_active"`
	Category    PoolCategory `json:"category"`
	PostIDS     []int64      `json:"post_ids"`
	CreatorName string       `json:"creator_name"`
	PostCount   int64        `json:"post_count"`
}
