package model

type TagCategory int

const (
	General TagCategory = iota
	Artist
	Copyright TagCategory = iota + 1
	Character
	Species
	Invalide
	Meta
	Lore
)

type Tag struct {
	ID                   int64       `json:"id"`
	Name                 string      `json:"name"`
	PostCount            int64       `json:"post_count"`
	RelatedTags          string      `json:"related_tags"`
	RelatedTagsUpdatedAt string      `json:"related_tags_updated_at"`
	Category             TagCategory `json:"category"`
	IsLocked             bool        `json:"is_locked"`
	CreatedAt            string      `json:"created_at"`
	UpdatedAt            string      `json:"updated_at"`
}
